Live GPS tracking: add support for garmin USB devices

2010-06-04 12:00 PM - dr -

Status: Open

Priority: Low

Assignee: Marco Hugentobler

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12846

Description

Subj. Garmin 60Csx is connected through Spanner ([http://en.wikipedia.org/wiki/Spanner_%28Garmin_program%29]). In Bob Bruce's

GPS tracking plugin all works fine, but not in Live GPS  tracking.

History

#1 - 2010-06-04 01:05 PM - Tim Sutton

Probably more one for Marco as he implemented the part that does the nmea connection logic.

Regards

Tim

#2 - 2010-06-16 05:17 AM - Marco Hugentobler

Hard to reprocude without a 60Csx. To which drive is the virtual serial port of spanner mapped? Does this path appear in the combo box of the gps widget

(GPS device port->path to serial device.

Maybe it is already enough to add this path to the autodetection list?

#3 - 2010-06-16 05:22 AM - Giovanni Manghi

I also have problems with a 60c while the gpstools work fine. I'll try do further tests.

#4 - 2010-10-04 03:23 AM - Giovanni Manghi

It seems that usb devices are not supported by design(?) Nevertheless the usb devices work fine (out of the box) with the standard QGIS gps tools, under

both Linux (at least Ubuntu) and Windows.

Can the code be reused to support USB devices in the "live gps tracking" tool?

A nmea device can be simulated with the "gpsfake" tool (together with "gpspipe"):

https://www.rigacci.org/wiki/doku.php/tecnica/gps_cartografia_gis/fake_gps

The trick works, tested with the Bob Bruce's GPS tracking plugin.

By the way, Bob Bruce's GPS tracking plugin works also under Linux, regardless it is announced to work just under Windows.
#5 - 2010-10-04 03:28 AM - Jürgen Fischer

Replying to [comment:7 lutra]:

It seems that usb devices are not supported by design(?) Nevertheless the usb devices work fine (out of the box) with the standard QGIS gps tools,

under both Linux (at least Ubuntu) and Windows.

Serial devices (including usbserial devices and serial bluetooth) speaking NMEA are supported.  Garmin use an other USB protocol.

#6 - 2010-10-04 03:31 AM - Giovanni Manghi

Serial devices (including usbserial devices and serial bluetooth) speaking NMEA are supported.  Garmin use an other USB protocol.

right, sorry for that. Nevertheless usb Garmin units are supported in gps tools, so I hope it will not be too painful to add the support in the "live gps tracking"

tool.

#7 - 2010-10-04 03:41 AM - Werner Macho

Hi!

I can provide a Garmin 60CSx for the Hackfest. I have easy access to one - I guess if the 60CSx is working all other Garmins should work too.

Any interest?

#8 - 2010-10-04 03:50 AM - Giovanni Manghi

I can bring my 60c too.

#9 - 2010-10-04 02:55 PM - Jürgen Fischer

commit:7b1fc1bf (SVN r14332) adds gpsd support.  My garmin etrex HCx now works via GPSD (using the garmin_gps kernel module).

#10 - 2010-10-05 01:11 AM - Giovanni Manghi

Replying to [comment:12 jef]:

commit:7b1fc1bf (SVN r14332) adds gpsd support.  My garmin etrex HCx now works via GPSD (using the garmin_gps kernel module).

Hi Jurgen,

I would like to see if it works with my Garmin unit, but I'm not sure what has to be used in the new "device" field when choosing "connect to gpsd".

Please note that if in the above field is written a string that contains a ":" then clicking on "connect" causes qgis to crash

Fatal: ASSERT: "gpsParams.size() == 3" in file /home/gio/qgis/qgis_trunk/src/core/gps/qgsgpsdetector.cpp, line 146

Aborted
#11 - 2010-10-05 05:36 AM - Jürgen Fischer

Replying to [comment:11 lutra]:

I can bring my 60c too.

Unfortunatly my etrex legend hcx doesn't work with spanner, but it does with GPSgate.  Which probably doesn't make a difference as far as QGIS is

concerned.

With commit:9f79f6f1 (SVN r14340) all COM ports including the software one should be found and not only the "real" ones.  The hcx now works on

Windows for me, too.

#12 - 2010-10-05 05:44 AM - Jürgen Fischer

Replying to [comment:13 lutra]:

I would like to see if it works with my Garmin unit, but I'm not sure what has to be used in the new "device" field when choosing "connect to gpsd".

GPSD doesn't support windows.  But you could connect to a remote gpsd on windows.  You enter the host, port and device (the latter can be left empty, if

the gpsd only listens to one GPS) of the remote gps daemon.   No colons required.  Still commit:dd7df180 (SVN r14341) fixes the assertion.

#13 - 2010-10-05 05:49 AM - Giovanni Manghi

Replying to [comment:15 jef]:

Replying to [comment:13 lutra]:

I would like to see if it works with my Garmin unit, but I'm not sure what has to be used in the new "device" field when choosing "connect to gpsd".

GPSD doesn't support windows.

I never mentioned windows, in fact I use Linux (Ubuntu)

You enter the host, port and device (the latter can be left empty, if the gpsd only listens to one GPS) of the remote gps daemon.

so this should work out of the box on Linux? my 60c unit seems that is not connecting, or maybe I'm just doing something wrong.

#14 - 2010-10-05 05:53 AM - Jürgen Fischer

Replying to [comment:16 lutra]:

GPSD doesn't support windows.

I never mentioned windows, in fact I use Linux (Ubuntu)
Ok. Sorry.  The original poster did.

so this should work out of the box on Linux? my 60c unit seems that is not connecting, or maybe I'm just doing something wrong.

No, you need to setup gpsd first - which works with my hcx.  I suppose it does with the 60c, too.  With gpsd you can have multiple clients...

#15 - 2010-10-05 10:07 AM - Giovanni Manghi

No, you need to setup gpsd first - which works with my hcx.  I suppose it does with the 60c, too.  With gpsd you can have multiple clients...

Ok, I see now the kind of possibilities that gpsd offers, but I still cannot make it work. I checked the gpsd docs and a few other tutorials so I'm sure I'm

missing something (tested also with xgps). Can you give any insight? I'm sure this will be useful too for the future 1.6 documentation.

Nevertheless I hope there will room to add the support for garmin usb devices as in the gps tools, it will be more straightforward for direct gps-to-qgis

connections.

#16 - 2010-10-05 10:08 AM - Giovanni Manghi

Ok, I see now the kind of possibilities that gpsd offers, but I still cannot make it work. I checked the gpsd docs and a few other tutorials so I'm sure

I'm missing something (tested also with xgps). Can you give any insight? I'm sure this will be useful too for the future 1.6 documentation.

Nevertheless I hope there will room to add the support for garmin usb devices as in the gps tools, it will be more straightforward for direct

gps-to-qgis connections.

thanks in advance.

#17 - 2010-10-05 11:40 AM - Jürgen Fischer

Replying to [comment:18 lutra]:

Ok, I see now the kind of possibilities that gpsd offers, but I still cannot make it work. I checked the gpsd docs and a few other tutorials so I'm sure

I'm missing something (tested also with xgps). Can you give any insight? I'm sure this will be useful too for the future 1.6 documentation.

http://ubuntuforums.org/showthread.php?t=1022921 suggest that accessing the 60c should be as easy.

Nevertheless I hope there will room to add the support for garmin usb devices as in the gps tools, it will be more straightforward for direct

gps-to-qgis connections.

#18 - 2010-10-05 01:12 PM - Giovanni Manghi

ok, got it finally. Thanks a lot for the hint.

Just one question: I cannot see any info about the position of the satellites and the intensity of the signal. Is this supposed to work or it will not work in any
case with Garmins?

Well depends. See above. If the lack of info about signal and sat position is because of Garmin units then forget about it. If with gpsbabel this features will

work then maybe will be worth the effort.

#19 - 2010-10-05 01:18 PM - Giovanni Manghi

another problem: without removing first the garmin_gps kernel module the connection with gpsbabel (and the gps tools) will not work anymore.

#20 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#21 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#22 - 2012-04-17 08:25 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

- Subject changed from Live GPS  tracking: add support for garmin USB devices to Live GPS tracking: add support for garmin USB devices

#23 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#24 - 2014-03-26 11:28 AM - Alexander Bruy

- Target version deleted (Version 2.0.0)

- Category deleted (C++ Plugins)

- Status info deleted (1)

Live GPS tracking is core functionality, not plugin

#25 - 2014-06-21 02:05 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

- Start date set to 2014-06-21

#26 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#27 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

2025-06-13 5/5


